%define anolis_release 2
%global sname requests-gssapi
%global s_name requests_gssapi

Name:           python-%{sname}
Version:        1.2.3
Release:        %{anolis_release}%{?dist}
Summary:        A GSSAPI/SPNEGO authentication handler for python-requests

License:        ISC
URL:            https://github.com/pythongssapi/%{sname}
Source0:        https://github.com/pythongssapi/%{sname}/releases/download/v%{version}/%{sname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-gssapi
BuildRequires:  python3-requests
BuildRequires:  python3-setuptools

%global _description\
Requests is an HTTP library, written in Python, for human beings. This\
library adds optional GSSAPI authentication support and supports\
mutual authentication. It includes a fully backward-compatible shim\
for requests-kerberos.

%description %_description

%package -n python3-%{sname}
Summary:        %summary
Requires:       python3-gssapi
Requires:       python3-requests
%description -n python3-%{sname} %_description

%package -n python3-%{sname}-doc
Summary: 	doc files for python3-%{sname}
Requires: 	python3-%{sname} = %{version}-%{release}
BuildArch:  	noarch

%description -n python3-%{sname}-doc
doc files for python3-%{sname}

%prep
%autosetup -S git_am -n %{sname}-%{version}

%build

%py3_build

%install
%py3_install

%check
%{__python3} -m unittest

%files -n python3-%{sname}
%license LICENSE
%{python3_sitelib}/%{s_name}*

%files -n python3-%{sname}-doc
%doc README.rst AUTHORS HISTORY.rst

%changelog
* Fri Mar 15 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.2.3-2
- Rebuild with python3.11

* Tue Mar 21 2023 happy_orange <songnannan@linux.alibaba.com> - 1.2.3-1
- package init from upstream
